Loading...
Searching...
No Matches
ranges::views::drop_while_fn Struct Reference
Inheritance diagram for ranges::views::drop_while_fn:

## Related Symbols

(Note that these are not member symbols.)
constexpr drop_while_fn | drop_while {}

## Additional Inherited Members

Public Member Functions inherited from ranges::views::drop_while_base_fn
template<typename Rng , typename Pred > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>>
auto | operator() (Rng &&rng, Pred pred) const -> drop_while_view< all_t< Rng >, Pred >
template<typename Rng , typename Pred , typename Proj > requires viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<composed<Pred, Proj>, iterator_t<Rng>>
auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> drop_while_view< all_t< Rng >, composed< Pred, Proj > >
Public Member Functions inherited from ranges::views::drop_while_bind_fn
template<typename Pred , typename Proj > requires (!range<Pred>)
constexpr auto | operator() (Pred &&pred, Proj proj) const
template<typename Pred >
constexpr auto | operator() (Pred pred) const